reset

FullPwr=15.64
Pwr(z)= z/FullPwr *100
F(x)=d*(x-a)**2 + b*(x-a) + c
a=0
c=1
d=220
b=10
fit F(x) 'AOM_calibration.txt' u 2:(Pwr($3)) via d, b, c

set style line 1 lw 2 lt 1 lc rgb "royalblue"
set style line 2 lw 2 lt 1 lc rgb "red"

set terminal pdfcairo
set output 'AOMSignal2Power_diffraction.pdf'
set termoption font "Calibri,10"
set title "AOM response curve" font "Calibri,12"
set ylabel 'diffraction (%)'
set xlabel "signal to AOM driver (V)"
set grid
set grid mx
set grid my
set mxtics 1
set mytics 1
set style data lines

set key bottom right

plot [] [] \
  'AOM_calibration.txt' u 2:(Pwr($3)) title 'measurement' ls 1 , \
  F(x) title sprintf('fit, %g*(x-%g)^2 + %g*(x-%g) + %g',d,a,b,a,c) ls 2

set output
set terminal windows
replot
reset


